# Spec GappedShape
A fixed gapped shape.

Extends | Shape
All Extended | Shape
All Subcl's | HardwiredShape
Defined in | <seqan/index.h>
Signature | `template <typename TValue, typename TSpec> class Shape<TValue, GappedShape<TSpec> >;`

## Template Parameters

`TSpec` | A structure to store the shape at compile-time. Types: HardwiredShape
`TValue` | The Value type of the string the shape is applied to (e.g. `Dna`).

## Interface Function Overview

### Interface Functions Inherited From Shape

- `hash`
- `hash2`
- `hash2Next`
- `hash2Upper`
- `hashInit`
- `hashNext`
- `hashUpper`
- `length`
- `resize`
- `shapeToString`
- `stringToShape`
- `unhash`
- `value`
- `weight`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Shape

- `Host`
- `LENGTH`
- `Size`
- `Value`
- `ValueSize`
- `WEIGHT`

## Detailed Description

There are predefined shapes in `index/shape_predefined.h`. You can simply use them with `Shape<TValue, ShapePatternHunter>` for example.

## See Also

- GenericShape
- HardwiredShape

#### Dox Sources

    /*!
     * @class GappedShape
     *
     * @extends Shape
     *
     * @headerfile <seqan/index.h>
     *
     * @brief A fixed gapped shape.
     *
     * @signature template <typename TValue, typename TSpec> class Shape<TValue,
     *            GappedShape<TSpec> >;
     *
     * @tparam TSpec A structure to store the shape at compile-time. Types: @link
     *               HardwiredShape @endlink
     * @tparam TValue The @link Value @endlink type of the string the shape is
     *                applied to (e.g. <tt>Dna</tt>).
     *
     * There are predefined shapes in <tt>index/shape_predefined.h</tt>. You can
     * simply use them with <tt>Shape<TValue, ShapePatternHunter></tt> for example.
     *
     * @see HardwiredShape
     * @see GenericShape
     */